data "aws_eks_cluster_auth" "auth" {
  name = aws_eks_cluster.cluster.id
  depends_on  = [null_resource.wait_for_cluster]
}

data "aws_eks_cluster" "cluster" {
  name = aws_eks_cluster.cluster.id
  depends_on  = [null_resource.wait_for_cluster]
}

# configure our provider
provider "kubernetes" {
  cluster_ca_certificate = base64decode(data.aws_eks_cluster.cluster.certificate_authority[0].data)
  host                   = data.aws_eks_cluster.cluster.endpoint
  token                  = data.aws_eks_cluster_auth.auth.token
}
