##########
# K8S-BASE 
##########

# prepare our configs
locals {
  secrets = flatten([for n, d in var.settings : [

    for s, dat in lookup(d, "secrets", {}) : merge({
      secret_name = s
      namespace   = n
      secret_type = "Opaque"
      data        = null
    }, dat)
  ]])

  secrets_map = { for item in local.secrets : item.secret_name => item }


  configmaps = flatten([for n, d in var.settings : [
    for c, dat in lookup(d, "configmaps", {}) : merge({
      config_name = c
      namespace   = n
      data        = null
    }, dat)
  ]])

  configs_map = { for item in local.configmaps : item.config_name => item }
}
##########
# K8S-BASE INGRESS
##########
locals {
  ingresses = { for k, v in var.ingresses : v["name"] => v }
}
